Investors, warrants & staking
Get Investor Documents
Lists the caller's visible, unarchived documents with warrant names and signed S3 download URLs.
GEThttps://api.toku.com/tga/get-investor-documents
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/tga/get-investor-documents' \
--header 'Authorization: Bearer <token>'200 response
[
{
"documentID": "string",
"documentName": "string",
"documentDescription": "string",
"documentType": "WARRANT_AGREEMENT",
"createdAt": "string",
"fileID": "string",
"fileName": "string",
"downloadUrl": "string",
"warrantID": "string",
"warrantName": "string",
"grantID": "string",
"archivedAt": "string"
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
documentIDstringrequireddocumentNamestringrequireddocumentDescriptionstring | nullrequireddocumentTypestringrequiredAvailable options: WARRANT_AGREEMENT, EXERCISE_NOTICE, PAYMENT_PROOF, GRANT_AGREEMENT, EIGHTY_THREE_B_ELECTION, EIGHTY_THREE_B_ELECTION_RECIEPT, RECIEPTS, SETTLEMENT_STATEMENT, SECTION_431_ELECTION_EMPLOYEE, SECTION_431_ELECTION_EMPLOYER, OTHER
createdAtstringrequiredfileIDstringrequiredfileNamestringrequireddownloadUrlstringrequiredwarrantIDstring | nullrequiredwarrantNamestring | nullrequiredgrantIDstring | nullrequiredarchivedAtstring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits